## org.hibernate.cache.impl.bridge
Class OptimisticCacheSourceAdapter

    java.lang.Object
      org.hibernate.cache.impl.bridge.OptimisticCacheSourceAdapter

All Implemented Interfaces:
  OptimisticCacheSource

    public class OptimisticCacheSourceAdapter

extends Object
implements OptimisticCacheSource

Author:
  Steve Ebersole

Constructor Summary
`OptimisticCacheSourceAdapter(CacheDataDescription dataDescription)`

Method Summary
`Comparator` `getVersionComparator()` Get the comparator used to compare two different version values.
`boolean` `isVersioned()` Is the data to be cached considered versioned? If true, it is illegal for `OptimisticCacheSource.getVersionComparator()` to return null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptimisticCacheSourceAdapter

    public OptimisticCacheSourceAdapter(CacheDataDescription dataDescription)

Method Detail

### isVersioned

    public boolean isVersioned()

  Description copied from interface: `OptimisticCacheSource`
  Is the data to be cached considered versioned?

  If true, it is illegal for `OptimisticCacheSource.getVersionComparator()` to return null.

  Specified by:
    `isVersioned` in interface `OptimisticCacheSource`
  Returns:
    True if the data is versioned; false otherwise.

### getVersionComparator

    public Comparator getVersionComparator()

  Description copied from interface: `OptimisticCacheSource`
  Get the comparator used to compare two different version values.

  May return null if `OptimisticCacheSource.isVersioned()` returns false.

  Specified by:
    `getVersionComparator` in interface `OptimisticCacheSource`
  Returns:

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.